- Qt 6.5
- Qt Widgets
- C++ Classes
- QFileIconProvider
- Qt 6.5.3 Reference Documentation

# QFileIconProvider Class

The QFileIconProvider class provides file icons for the QFileSystemModel class. More...

Header: | #include <QFileIconProvider>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Widgets) target_link_libraries(mytarget PRIVATE Qt6::Widgets)
qmake: | QT += widgets
Inherits: | QAbstractFileIconProvider

- List of all members, including inherited members

## Public Functions

| QFileIconProvider()
virtual | ~QFileIconProvider()

## Reimplemented Public Functions

virtual QIcon | icon(QAbstractFileIconProvider::IconType type) const override
virtual QIcon | icon(const QFileInfo &info) const override

## Detailed Description

## Member Function Documentation

### QFileIconProvider::QFileIconProvider()

Constructs a file icon provider.

### `[virtual]` QFileIconProvider::~QFileIconProvider()

Destroys the file icon provider.

### `[override virtual]` QIcon QFileIconProvider::icon(QAbstractFileIconProvider::IconType type) const

Reimplements: QAbstractFileIconProvider::icon(QAbstractFileIconProvider::IconType type) const.

### `[override virtual]` QIcon QFileIconProvider::icon(const QFileInfo &info) const

Reimplements: QAbstractFileIconProvider::icon(const QFileInfo &info) const.